<?php

namespace Glmdev\Meta;

use Glmdev\Meta\Contracts\MetaContract;
use Illuminate\Support\ServiceProvider;

class MetaServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;
    
    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {

        $loader = \Illuminate\Foundation\AliasLoader::getInstance();
        $loader->alias('Meta', 'Glmdev\Meta\Meta');

    }
}
